#
# spec file for package python-sphinxcontrib-qthelp
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?sle15_python_module_pythons}
Name:           python-sphinxcontrib-qthelp%{psuffix}
Version:        1.0.8
Release:        1.2
Summary:        Sphinx extension which outputs QtHelp
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/sphinx-doc/sphinxcontrib-qthelp
Source0:        https://files.pythonhosted.org/packages/source/s/sphinxcontrib_qthelp/sphinxcontrib_qthelp-%{version}.tar.gz
Source99:       python-sphinxcontrib-qthelp.rpmlintrc
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 5.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module sphinxcontrib-qthelp >= %{version}}
%endif
%python_subpackages

%description
sphinxcontrib-qthelp is a sphinx extension which outputs QtHelp document.

%prep
%setup -q -n sphinxcontrib_qthelp-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%if !%{with test}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest
%endif

%if !%{with test}
%files %{python_files}
%doc README.rst CHANGES
%license LICENSE
%dir %{python_sitelib}/sphinxcontrib
%{python_sitelib}/sphinxcontrib/qthelp
%{python_sitelib}/sphinxcontrib_qthelp-%{version}*-info
%endif

%changelog
* Sat Jul 20 2024 Matej Cepl <mcepl@cepl.eu>
- Update to 1.0.8:
  - Fix tests for Sphinx 7.4 and later
- Enable tests again
* Fri Jul 19 2024 Matej Cepl <mcepl@cepl.eu>
- Clean up SPEC file.
- Skip failing tests (gh#sphinx-doc/sphinx#12623)
* Sun Jan 14 2024 Dirk Müller <dmueller@suse.com>
- update to 1.0.7:
  * Remove Sphinx as a required dependency, as circular
    dependencies may cause failure with package managers that
    expect a directed acyclic graph (DAG) of dependencies.
* Tue Aug 29 2023 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file
* Mon Aug 28 2023 Markéta Machová <mmachova@suse.com>
- Update to 1.0.6
  * Drop support for Python 3.5, 3.6, 3.7, and 3.8
  * Raise minimum required Sphinx version to 5.0
  * Fix tests for Sphinx 7.1 and below
- Drop upstreamed sphinx5.patch
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Wed Jun  1 2022 Markéta Machová <mmachova@suse.com>
- Added sphinx5.patch
  * Fix build with the new Sphinx, sent upstream
* Fri Mar  6 2020 pgajdos@suse.com
- version update to 1.0.3
  * Fix package metadata
* Thu Jun  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by Sphinx
